Bug 273 - smbd crashes on changing machine trust password
smbd crashes on changing machine trust password
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.0preX
All Linux
: P3 normal
: 3.0.0rc2
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-05 12:32 UTC by Dariush Forouher
Modified: 2005-11-14 09:25 UTC (History)
0 users

See Also:


Attachments
log snapshot (124.98 KB, text/plain)
2003-09-04 11:18 UTC, Dariush Forouher
no flags Details
smbd backtrace (3.50 KB, text/plain)
2003-09-05 11:48 UTC, Dariush Forouher
no flags Details
Proposed patch for m/c account password change crash. (1.85 KB, patch)
2003-09-10 11:32 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dariush Forouher 2003-08-05 12:32:57 UTC
Samba 3.0 CVS from 2003-07-25

smbd crashes when it tries to change his machine trust password.
The domain is controlled by samba 3.0 DCs (3x, with LDAP backend),same CVS date.

As the clients try it again and again I assume they're failing changing it.

This happend on four machines nearly at the same time, which had been joined
exactly one week ago.

Linux distro is debian woody. There was no traffic on samba at that time.

regards
Dariush Forouher

Aug  5 10:53:49 cassiopeia smbd[25975]: [2003/08/05 10:53:49, 0]
lib/fault.c:fault_report(36)
Aug  5 10:53:49 cassiopeia smbd[25975]:  
===============================================================
Aug  5 10:53:49 cassiopeia smbd[25975]: [2003/08/05 10:53:49, 0]
lib/fault.c:fault_report(37)
Aug  5 10:53:49 cassiopeia smbd[25975]:   INTERNAL ERROR: Signal 11 in pid 25975
(3.0.0rc1)
Aug  5 10:53:49 cassiopeia smbd[25975]:   Please read the appendix Bugs of the
Samba HOWTO collection
Aug  5 10:53:49 cassiopeia smbd[25975]: [2003/08/05 10:53:49, 0]
lib/fault.c:fault_report(39)
Aug  5 10:53:49 cassiopeia smbd[25975]:  
===============================================================
Aug  5 10:53:49 cassiopeia smbd[25975]: [2003/08/05 10:53:49, 0]
lib/util.c:smb_panic(1462)
Aug  5 10:53:49 cassiopeia smbd[25975]:   PANIC: internal error
Aug  5 10:53:49 cassiopeia smbd[25975]: [2003/08/05 10:53:49, 0]
lib/util.c:smb_panic(1469)
Aug  5 10:53:49 cassiopeia smbd[25975]:   BACKTRACE: 12 stack frames:
Aug  5 10:53:49 cassiopeia smbd[25975]:    #0 /usr/sbin/smbd(smb_panic+0x16b)
[0x8179c43]
Aug  5 10:53:49 cassiopeia smbd[25975]:    #1 /usr/sbin/smbd [0x816a962]
Aug  5 10:53:49 cassiopeia smbd[25975]:    #2 /usr/sbin/smbd [0x816a9b5]
Aug  5 10:53:49 cassiopeia smbd[25975]:    #3 /lib/libc.so.6 [0x400e46b8]
Aug  5 10:53:49 cassiopeia smbd[25975]:    #4 /usr/sbin/smbd(make_nmb_name+0x2b)
[0x80dc8a3]
Aug  5 10:53:49 cassiopeia smbd[25975]:    #5
/usr/sbin/smbd(cli_full_connection+0x78) [0x80c0348]
Aug  5 10:53:49 cassiopeia smbd[25975]:    #6
/usr/sbin/smbd(change_trust_account_password+0x105) [0x80b8705]
Aug  5 10:53:49 cassiopeia smbd[25975]:    #7 /usr/sbin/smbd [0x80b4fd4]
Aug  5 10:53:49 cassiopeia smbd[25975]:    #8 /usr/sbin/smbd(smbd_process+0x152)
[0x80b5192]
Aug  5 10:53:49 cassiopeia smbd[25975]:    #9 /usr/sbin/smbd(main+0x68c) [0x81c8b50]
Aug  5 10:53:49 cassiopeia smbd[25975]:    #10
/lib/libc.so.6(__libc_start_main+0xbb) [0x400d414f]
Aug  5 10:53:49 cassiopeia smbd[25975]:    #11 /usr/sbin/smbd(ldap_msgfree+0x71)
[0x8072ce1]
Aug  5 10:53:49 cassiopeia smbd[25975]:

# smb.conf
[global]
        workgroup = BRGS
        security = domain
        password server = *
        syslog only = yes
        wins server = wins1
        dos charset = CP850
        unix charset = iso8859-15
Comment 1 Gerald (Jerry) Carter 2003-08-25 20:08:33 UTC
we've had a lot of character set fixes in the past week or so.
Any chance you could run 'cvs update' and see if the problem
still occurs?  I'm referring to the make_nmb_name() call.
Comment 2 Gerald (Jerry) Carter 2003-08-29 08:03:13 UTC
Marking it as fixed for RC2 (due to all the multibyte 
character set work).  Pleas reopen if that is not the case.
Comment 3 Dariush Forouher 2003-09-04 11:17:06 UTC
Sorry for this late answer, I wasn't at home last days.

Unfortunatly the problem still persists, even after upgrading
samba to current CVS on the member server and on the DCs.

I've also tried and deleted secrets.tdb and rejoined the machine
(and set 'machine password timeout' to a low value)
without any success.

regards
Dariush
Comment 4 Dariush Forouher 2003-09-04 11:18:55 UTC
Created attachment 122 [details]
log snapshot

this is a level 5 log snapshot from the time when the panic happened. Hope it
helps.
Comment 5 Jeremy Allison 2003-09-04 11:47:28 UTC
What we really need is a good stack backtrace, created when smbd is
compiled with -g, and a panic action = /bin/sleep 999999 placed in
the [global] section of smb.conf. Allow the crash to take place,
then attach to the crashed process with gdb and send in the output
of the "bt" command. This will give use the line numbers of the
problem.
Jeremy.
Comment 6 Dariush Forouher 2003-09-05 11:48:51 UTC
Created attachment 125 [details]
smbd backtrace

Here it goes.

regards
Dariush
Comment 7 Jeremy Allison 2003-09-10 11:32:07 UTC
Created attachment 132 [details]
Proposed patch for m/c account password change crash.
Comment 8 Jeremy Allison 2003-09-10 11:35:29 UTC
Setting as fixed - patch was pretty obvious. Re-open if this doesn't cure it.
Jeremy.
Comment 9 Dariush Forouher 2003-09-10 14:17:29 UTC
Yep, this solves the problem.

thanks
Dariush
Comment 10 Gerald (Jerry) Carter 2005-02-07 08:41:28 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 11 Gerald (Jerry) Carter 2005-08-24 10:16:21 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 12 Gerald (Jerry) Carter 2005-11-14 09:25:20 UTC
database cleanup